import { fetch } from "@/utils/request";

import {
  API_BK_AGREEMENT,
  API_BK_BANk_CARD,
  API_BROKER_LIST,
  API_BROKER_RANK,
  API_BK_AGENT_RULE,
  API_BROKER_RANK_MINE,
  API_BK_NOTICE,
  API_BK_ACCOUNT,
  API_BK_INVITE
} from "@/constants/broker";
import { API_BROKER_SCREEN } from "@/constants/api";
/**
 * 获取佣金数据
 * @param {*} id
 */
export const queryBkAgreement = payload =>
  fetch({ url: `${API_BK_AGREEMENT}`, payload });

/**
 * 获取银行卡
 * @param {*}
 */
export const querybkBankCard = payload =>
  fetch({ url: `${API_BK_BANk_CARD}`, payload });

/**
 * 邀请的经纪人列表
 * @param {*}
 */
export const querybrokerList = payload =>
  fetch({ url: `${API_BROKER_LIST}`, payload });

/**
 * 经纪人排行榜
 * @param {*}
 */
export const queryBrokerRank = payload =>
  fetch({ url: `${API_BROKER_RANK}`, payload });

/**
 * 经纪人排行榜 我的
 * @param {*}
 */
export const queryBrokerRankMine = payload =>
  fetch({ url: `${API_BROKER_RANK_MINE}`, payload });

/**
 * 经纪人规则
 * @param {*}
 */
export const getbkAgentRule = payload =>
  fetch({ url: `${API_BK_AGENT_RULE}`, payload });

/**
 * 消息
 * @param {*}
 *            noticeType=deal  成交喜报  noticeType=status-change&mine=true
 */
export const getbkNotice = payload =>
  fetch({ url: `${API_BK_NOTICE}`, payload });

/**
 * 我的佣金
 * @param {*}
 *
 */
export const getbkAccountRecord = payload =>
  fetch({ url: `${API_BK_ACCOUNT}`, payload });

/**
 * 我的奖励
 * @param {*}
 *            chargeCode= deal  成交喜报  noticeType=status-change&mine=true
 */
export const getbkInviteRecord = payload =>
  fetch({ url: `${API_BK_INVITE}`, payload });

/**
 * 我的奖励
 * @param {*}
 *            chargeCode= deal  成交喜报  noticeType=status-change&mine=true
 */
export const getbbkFirstScreenDetail = (id, payload) =>
  fetch({ url: `${API_BROKER_SCREEN}/${id}`, payload });
