import withLayout from "@/layout";
import { ScrollView, View, Image, Text, RichText } from "@tarojs/components";
import { useState, useEffect } from "react";
import { getbkAgentRule } from "@/services/broker";
import "./index.scss";

const defaultRuleImage =
  "https://xlk-assets.oss-cn-shanghai.aliyuncs.com/miniapp/broker/%E5%85%A8%E6%B0%91%E7%BB%8F%E7%BA%AA%E4%BA%BA.png";
export default withLayout(() => {
  const [value, setValue] = useState("");
  useEffect(() => {
    getbkAgentRule().then(res => {
      setValue(res.content);
    });
  }, []);

  return (
    <View className="Page broker-page">
      <Image  className="img-set" src={defaultRuleImage} />
      <View className="broker-padding">
        <View>
          <Text>邀请奖励说明</Text>
          <View>
            <RichText nodes={value}></RichText>
          </View>
        </View>
      </View>
    </View>
  );
});
