import { useState, useEffect } from "react";
import { formatDate } from "@/utils/chatDate";
import "./index.scss";

export default (props) => {
  const { item = {
    
    name:'',
    time:'',
    money:0,
    moneyType:1,
  } } = props;
  return (
    <view className="components myWalletItem">
      <view className="item-top">
        <view className="top-text1">邀请好友</view>
        <view className="top-text2">
          {item.moneyType === -1 ? "-" : "+"}
          {Number((item.money || 0) / 100).toFixed(2)}
        </view>
      </view>
      <view className="item-bottom">
        <view className="bottom-text1">成功邀请{item.name}</view>
        <view className="bottom-text2">
          {formatDate(item.time, "yyyy.MM.dd")}
        </view>
      </view>
    </view>
  );
};
