import { useState, useEffect } from "react";
import { useSelector } from "react-redux";
import { useRouter } from "@tarojs/taro";
import { ScrollView } from "@tarojs/components";
import { getbkAccountRecord, getbkInviteRecord } from "@/services/broker";

import Item from "./Item";

import "./index.scss";

export default function MyCollectForActivity(props) {
  const { show, type } = props;
  const router = useRouter();

  const [PageList, setPageList] = useState([]);

  const [pageNumber, setPageNumber] = useState(1);
  const [HasNextPage, setHasNextPage] = useState(true);

  useEffect(() => {
    if (pageNumber) {
      GetPageList();
    }
  }, [pageNumber]);

  const GetPageList = () => {
    setHasNextPage(false);

    if (type === "commission") {
      // 我的佣金
      getbkAccountRecord({
        pageNum: pageNumber,
        pageSize: 10,
        isPayed: true,
      }).then((res) => {
        setPageList(
          pageNumber === 1
            ? res.records || []
            : PageList.concat(res.records || [])
        );
        setHasNextPage(res.current < res.pages);
      });
    }
    if (type === "reward") {
      // 我的奖励
      getbkInviteRecord({
        pageNum: pageNumber,
        pageSize: 10,
        isPayed: true,
      }).then((res) => {
        setPageList(
          pageNumber === 1
            ? res.records || []
            : PageList.concat(res.records || [])
        );
        setHasNextPage(res.current < res.pages);
      });
    }

    //   fetch({ url: API_ACTIVITY_LIST, method: 'get', payload: { city: city?.curCity?.id, buildingId, type, pageNumber, pageSize: 10 } }).then((res) => {
    //     setPageList(pageNumber === 1 ? res.records || [] : PageList.concat(res.records || []))
    //     setHasNextPage(res.current < res.pages)
    //     setPull(false)
    //   })
  };

  const PageLoadMore = () => {
    // 页面上拉加载更多
    if (HasNextPage) {
      setPageNumber(pageNumber + 1);
    }
  };

  return (
    <view
      className="components myWalletList"
      style={{ display: show ? "block" : "none" }}
    >
      <ScrollView
        scroll-y
        onscrolltolower={PageLoadMore}
        refresher-background="#fff"
      >
        <view className="PageContent">
          <view className="List">
            {PageList.map((item, index) => {
              if (type === "commission") {
                item.id = item.recId;
                item.name = item.customerName;
                item.money = item.charges;
                item.time = item.createDate;
                item.moneyType = item.chargeType;
              } else {
                item.id = item.inviteId;
                item.name = item.invitePersonName;
                item.money = item.referralFee;
                item.time = item.createDate;
                item.moneyType = 1;
              }

              return <Item item={item} key={`myWalletList-${index}`}></Item>;
            })}
          </view>

          {/* bottom */}
          <view className="PageBottom">
            <text>已经到底了~</text>
          </view>
        </view>
      </ScrollView>
    </view>
  );
}
