import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";
import { useSelector } from "react-redux";
import withLayout from "@/layout";
import { ScrollView, Input, Image, Block, Textarea } from "@tarojs/components";
import { getImgURL } from "@/utils/image";
import { fetch, uploadFiles } from "@/utils/request";
import { UPDATE_USER_INFO, ROLE_CODE } from "@/constants/user";
import { API_EDIT_AGENT, API_UPDATE_PHOTO } from "@/constants/api";
import store from "@/store";
import InvitationList from "./invitationList";
import TransactionList from "./transactionList";
import {queryBrokerRankMine} from '@/services/broker'
import "@/assets/css/iconfont.css";
import "./index.scss";

export default withLayout(() => {
  const [activeKey, setActiveKey] = useState(1);
  const [myRank,setMyRank] = useState({})

  useEffect(()=>{
    queryBrokerRankMine().then(res=>{
      setMyRank(res)
    })
  },[])
  return (
    <view className="rankingList">
      <view className="rankingList-backimage">
        <image
          className="image"
          src={`${OSS_FAST_PATH}/miniapp/broker/全民排行榜.png`}
          alt=""
          srcset=""
        />
      </view>
      <view className="content">
        <view className="tabs">
          <view
            className={`tab ${activeKey === 1 ? "active" : ""}`}
            onClick={() => setActiveKey(1)}
          >
            邀请排行榜
          </view>
          <view
            className={`tab ${activeKey === 2 ? "active" : ""}`}
            onClick={() => setActiveKey(2)}
          >
            成交榜
          </view>
        </view>
        <view className="bottom">
          <view style={{display:activeKey==1?'block':'none'}}>
            <InvitationList myRank={myRank}/>
          </view>
          <view style={{display:activeKey==2?'block':'none'}}>

            <TransactionList myRank={myRank}/>
          </view>

          {/* <view></view> */}
        </view>
      </view>

      {/* <view className="bottom"></view> */}
    </view>
  );
});
