import { useState, useEffect } from "react";
import Taro from "@tarojs/taro";
import { ScrollView, Input, Image, Block, Textarea } from "@tarojs/components";
import "./index.scss";

export default (props) => {
  const { title, onChanel,onChange=()=>{} } = props;

  const [FormData, setFormData] = useState({
    ownerName: "",
    bankName: "",
    cardNo: "",
  });

  const FormChange = (key, e) => {
    let Data = { ...FormData };
    Data[key] = e.detail.value;
    setFormData(Data);
  };
  

  const onsubmit = () => {
    if(FormData.ownerName&&FormData.bankName&&FormData.cardNo){
      onChange({...FormData})
    }else{
      Taro.showToast({
        title: "请补全银行卡信息",
        icon: "none",
        duration: 2000,
      });
    }
  };
  return (
    <view className="AddIdentityCard">
      <text>持卡人</text>
      <view className="FormLine flex-h">
        <view className="flex-item">
          <Input
            placeholder="请输入用户名"
            value={FormData.ownerName}
            onInput={FormChange.bind(this, "ownerName")}
          ></Input>
        </view>
      </view>

      <text>开户行</text>
      <view className="FormLine flex-h">
        <view className="flex-item">
          <Input
            placeholder="请输入开户行"
            value={FormData.bankName}
            onInput={FormChange.bind(this, "bankName")}
          ></Input>
        </view>
      </view>

      <text>银行卡号</text>
      <view className="FormLine flex-h">
        <view className="flex-item">
          <Input
            placeholder="请输入银行卡号"
            value={FormData.cardNo}
            onInput={FormChange.bind(this, "cardNo")}
          ></Input>
        </view>
      </view>

      <view className="Btn">
        <text onClick={() => onChanel()}>取消</text>
        <text onClick={()=>onsubmit(FormData)}>确定</text>
      </view>
    </view>
  );
};
